org.keycloak.authentication.authenticators.client

## Class AbstractClientAuthenticator

- java.lang.Object
- - org.keycloak.authentication.authenticators.client.AbstractClientAuthenticator

- All Implemented Interfaces:
    ClientAuthenticator, ClientAuthenticatorFactory, ConfigurableAuthenticatorFactory, ConfiguredProvider, Provider, ProviderFactory<ClientAuthenticator>
  Direct Known Subclasses:
    ClientIdAndSecretAuthenticator, JWTClientAuthenticator

      public abstract class AbstractClientAuthenticator
      extends Object
      implements ClientAuthenticator, ClientAuthenticatorFactory

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractClientAuthenticator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `ClientAuthenticator` | `create()`
    `ClientAuthenticator` | `create(KeycloakSession session)`
    `String` | `getReferenceCategory()` General authenticator type, i.e.
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `boolean` | `isUserSetupAllowed()` Does this authenticator have required actions that can set if the user does not have this authenticator set up?
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authentication.ClientAuthenticator

      `authenticateClient`

    - ### Methods inherited from interface org.keycloak.authentication.ClientAuthenticatorFactory

      `getAdapterConfiguration, getConfigPropertiesPerClient, isConfigurable`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `getId`

    - ### Methods inherited from interface org.keycloak.authentication.ConfigurableAuthenticatorFactory

      `getDisplayType, getRequirementChoices`

    - ### Methods inherited from interface org.keycloak.provider.ConfiguredProvider

      `getConfigProperties, getHelpText`

- - ### Constructor Detail

    - #### AbstractClientAuthenticator

          public AbstractClientAuthenticator()

  - ### Method Detail

    - #### create

          public ClientAuthenticator create()

      Specified by:
        `create` in interface `ClientAuthenticatorFactory`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `Provider`
      Specified by:
        `close` in interface `ProviderFactory<ClientAuthenticator>`

    - #### create

          public ClientAuthenticator create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<ClientAuthenticator>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<ClientAuthenticator>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<ClientAuthenticator>`

    - #### isUserSetupAllowed

          public boolean isUserSetupAllowed()

      Description copied from interface: `ConfigurableAuthenticatorFactory`
      Does this authenticator have required actions that can set if the user does not have this authenticator set up?
      Specified by:
        `isUserSetupAllowed` in interface `ConfigurableAuthenticatorFactory`
      Returns:

    - #### getReferenceCategory

          public String getReferenceCategory()

      Description copied from interface: `ConfigurableAuthenticatorFactory`
      General authenticator type, i.e. totp, password, cert.
      Specified by:
        `getReferenceCategory` in interface `ConfigurableAuthenticatorFactory`
      Returns:
        null if not a referencable category

Copyright © 2016 JBoss by Red Hat. All rights reserved.